import { IEventBus } from 'aws-cdk-lib/aws-events';
import { IBucket } from 'aws-cdk-lib/aws-s3';
import { Construct } from 'constructs';
import { WorkflowBucketProps } from './s3';
export interface RStudioStorageProps {
    readonly bucketProps?: WorkflowBucketProps;
}
export declare class RStudioStorage extends Construct {
    readonly landingBucket: IBucket;
    readonly eventBus: IEventBus;
    constructor(scope: Construct, id: string, props?: RStudioStorageProps);
}
